Package name
gpm
Date
2000-07-27
Advisory ID
MDKSA-2000:025
Affected versions
6.1 i586 , 6.0 i586 , 7.0 i586 , 7.1 i586

Problem description

Many security flaws existed in the gpm package, which is used to control the mouse in a terminal outside of X Windows. As well, a denial of service attack via /dev/gpmctl is possible. All security issues with the gpm package have been addressed with this update.

Updated packages

6.1 i586

 1af817e7dda71d8e4bfa42c70c516d8f  6.1/RPMS/gpm-1.19.2-4mdk.i586.rpm
b5a6fd08bedb1c1e40711359bf16b44a  6.1/RPMS/gpm-devel-1.19.2-4mdk.i586.rpm
dfa3f0e0a000e0443eb6f9ef2c7e75d9  6.1/SRPMS/gpm-1.19.2-4mdk.src.rpm

6.0 i586

 8c7088606cf9b840969fa7937186fab5  6.0/RPMS/gpm-1.19.2-4mdk.i586.rpm
30c50ead5ce218d33e4f37fd6e20dc0b  6.0/RPMS/gpm-devel-1.19.2-4mdk.i586.rpm
dfa3f0e0a000e0443eb6f9ef2c7e75d9  6.0/SRPMS/gpm-1.19.2-4mdk.src.rpm

7.0 i586

 4267f1d250bfe98a63e48c30ef472acd  7.0/RPMS/gpm-1.19.2-4mdk.i586.rpm
14bbffe0d74d4422068fe9c67dfed9b3  7.0/RPMS/gpm-devel-1.19.2-4mdk.i586.rpm
f44743a91edf6eaa1758500d9d4c15d0  7.0/SRPMS/gpm-1.19.2-4mdk.src.rpm

7.1 i586

 630d939d8159f79a8eae5f9823591064  7.1/RPMS/gpm-1.19.2-4mdk.i586.rpm
43ca39afe363d915f474041b84725a35  7.1/RPMS/gpm-devel-1.19.2-4mdk.i586.rpm
dfa3f0e0a000e0443eb6f9ef2c7e75d9  7.1/SRPMS/gpm-1.19.2-4mdk.src.rpm